run: disable network tests for imx53

We have no network driver on this platform by now.
devel
Alexander Boettcher 10 years ago committed by Christian Helmuth
parent 946bd297e6
commit 86d323d3cf

@ -19,8 +19,11 @@
# TODO: Add support for Linux via user-level networking (using the
# tun/tap proxy driver at os/src/drivers/nic/linux)
#
if {[have_spec linux]} {
puts "Run script does not support Linux."; exit 0 }
set use_usb_driver [expr [have_spec omap4] || [have_spec exynos5]]
set use_nic_driver [expr !$use_usb_driver && ![have_spec platform_imx53] && ![have_spec linux]]
if {[expr !$use_usb_driver && !$use_nic_driver]} {
puts "\n Run script is not supported on this platform. \n"; exit 0 }
requires_installation_of lynx
@ -34,9 +37,6 @@ set build_components {
test/lwip/http_srv
}
set use_usb_driver [expr [have_spec omap4] || [have_spec exynos5]]
set use_nic_driver [expr !$use_usb_driver]
lappend_if $use_usb_driver build_components drivers/usb
lappend_if [have_spec acpi] build_components drivers/acpi
lappend_if [have_spec pci] build_components drivers/pci/device_pd

@ -4,6 +4,12 @@
# \date 2013-04-18
#
set use_usb_driver [expr [have_spec omap4] || [have_spec exynos5]]
set use_nic_driver [expr !$use_usb_driver && ![have_spec platform_imx53]]
set use_platform_driver [expr [have_spec platform_arndale] || [have_spec platform_imx53]]
if {[expr !$use_usb_driver && !$use_nic_driver]} {
puts "\n Run script is not supported on this platform. \n"; exit 0 }
#
# Build
@ -34,9 +40,7 @@ set packet_size 1024
set netperf_tests "TCP_STREAM TCP_MAERTS"
# start run script generation
set use_usb_driver [expr [have_spec omap4] || [have_spec exynos5]]
set use_nic_driver [expr !$use_usb_driver]
set use_platform_driver [expr $use_usb_driver && [have_spec platform_arndale]]
if {$use_usb_driver} { set network_driver "usb_drv" }
if {$use_nic_driver} { set network_driver "nic_drv" }

@ -1,7 +1,9 @@
if {[have_spec linux]} {
puts "\nLinux not supported because of missing UART driver\n"
exit 0
}
set use_usb_driver [expr [have_spec omap4] || [have_spec exynos5]]
set use_nic_driver [expr !$use_usb_driver && ![have_spec platform_imx53] && ![have_spec linux]]
set use_platform_drv [expr [have_spec platform_arndale] || [have_spec platform_imx53]]
if {[expr !$use_usb_driver && !$use_nic_driver]} {
puts "\n Run script is not supported on this platform. \n"; exit 0 }
set build_components {
core init
@ -12,10 +14,6 @@ set build_components {
noux-pkg/netcat
}
set use_usb_driver [expr [have_spec omap4] || [have_spec exynos5]]
set use_nic_driver [expr !$use_usb_driver]
set use_platform_drv [expr [have_spec platform_arndale] || [have_spec platform_imx53]]
lappend_if $use_usb_driver build_components drivers/usb
lappend_if $use_nic_driver build_components drivers/nic
lappend_if [have_spec acpi] build_components drivers/acpi

Loading…
Cancel
Save